transformers-0.3.0.0: Concrete functor and monad transformers

Copyright | (c) Russell O'Connor 2009
License | BSD-style (see the file LICENSE)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Control.Applicative.Backwards

Description

Making functors with an `Applicative` instance that performs actions in the reverse order.

Synopsis

- newtype Backwards f a = Backwards {
  - forwards :: f a
  }

# Documentation

newtype Backwards f a

The same functor, but with an `Applicative` instance that performs actions in the reverse order.

Constructors

Backwards |

Fields

forwards :: f a

Instances

Alternative f => Alternative (Backwards f) | Try alternatives in the same order as `f`.
Functor f => Functor (Backwards f) | Derived instance.
Applicative f => Applicative (Backwards f) | Apply `f`-actions in the reverse order.
Foldable f => Foldable (Backwards f) | Derived instance.
Traversable f => Traversable (Backwards f) | Derived instance.